	/***************************************************************************
 *   Copyright (C) 2005 by Borko Bokovi                                  *
 *   borko.boskovic@uni-mb.si                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#include <string.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#include "asm.h"
#include "uci.h"
#include "bitboard.h"
#include "move.h"
#include "generator.h"
#include "piece.h"
#include "square.h"
#include "search.h"
#include "engine.h"
#include "uci.h"
#include "evaluator.h"

int main (int argc, char *argv[]){
	char *book = 0;
	if(argc == 2) book = argv[1];
	uciRun(book);
	return EXIT_SUCCESS;
}
