/***************************************************************************
 *   Copyright (C) 2005 by Borko Bokovi                                  *
 *   borko.boskovic@uni-mb.si                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef PIECE_H
#define PIECE_H

#define WHITE 0

#define BLACK 1

#define EMPTY 0

#define PAWN 2

#define KNIGHT 4

#define BISHOP 6

#define ROOK 8

#define QUEEN 10

#define KING 12

#define WHITE_PAWN 2

#define WHITE_KNIGHT 4

#define WHITE_BISHOP 6

#define WHITE_ROOK 8

#define WHITE_QUEEN 10

#define WHITE_KING 12

#define BLACK_PAWN 3

#define BLACK_KNIGHT 5

#define BLACK_BISHOP 7

#define BLACK_ROOK 9

#define BLACK_QUEEN 11

#define BLACK_KING 13

#define PAWN_VALUE 100

#define KNIGHT_VALUE 300

#define BISHOP_VALUE 325

#define ROOK_VALUE 500

#define QUEEN_VALUE 900

#define KING_VALUE 0

extern const char pieceChar[14];

extern int pieceValue[14];

int charToPiece(char piece);

#endif
