/***************************************************************************
 *   Copyright (C) 2005 by Borko Bokovi                                  *
 *   borko.boskovic@uni-mb.si                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef SQUARE_H
#define SQUARE_H

#include "bitboard.h"


#define a1 0

#define b1 1

#define c1 2

#define d1 3

#define e1 4

#define f1 5

#define g1 6

#define h1 7

#define a2 8

#define b2 9

#define c2 10

#define d2 11

#define e2 12

#define f2 13

#define g2 14

#define h2 15

#define a3 16

#define b3 17

#define c3 18

#define d3 19

#define e3 20

#define f3 21

#define g3 22

#define h3 23

#define a4 24

#define b4 25

#define c4 26

#define d4 27

#define e4 28

#define f4 29

#define g4 30

#define h4 31

#define a5 32

#define b5 33

#define c5 34

#define d5 35

#define e5 36

#define f5 37

#define g5 38

#define h5 39

#define a6 40

#define b6 41

#define c6 42

#define d6 43

#define e6 44

#define f6 45

#define g6 46

#define h6 47

#define a7 48

#define b7 49

#define c7 50

#define d7 51

#define e7 52

#define f7 53

#define g7 54

#define h7 55

#define a8 56

#define b8 57

#define c8 58

#define d8 59

#define e8 60

#define f8 61

#define g8 62

#define h8 63

#define file(s) ((s)&7)

#define rank(s) ((s)>>3)

extern const int rotateL90[64];

extern const int rotateR45[64];

extern const int rotateL45[64];

void squareSPrint(char buffer[], int square);

int distance(int index1, int index2);

int cornerDistance(int index);

int squareToInt(char buffer[]);

extern const UINT64 bitboardFile[8];

#endif
