/***************************************************************************
 *   Copyright (C) 2005 by Borko Bokovi                                  *
 *   borko.boskovic@uni-mb.si                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#ifndef ENGINE_H
#define ENGINE_H
 
/** 
 * \file engine.h
 * ???
 */

/**
 * \fn void engineStart(char book[]);
 * ???
 * @param ???
 */
void engineStart(char book[]);

/**
 * \fn void engineNewGame();
 * ???
 */
void engineNewGame();

/**
 * \fn void engineSetPosition(char parameters[]);
 * ???
 * @param ???
 */
void engineSetPosition(char parameters[]);

/**
 * \fn void engineIdentity(FILE* stream);
 * ???
 * @param ???
 */
void engineIdentity(FILE* stream);

/**
 * \fn void engineIsReady(FILE* stream);
 * ???
 * @param ???
 */
void engineIsReady(FILE* stream);

/**
 * \fn void engineSetOption(char option[]);
 * ???
 * @param ???
 */
void engineSetOption(char option[]);

/**
 * \fn void engineStartSearching(char parameters[]);
 * ???
 * @param parameters ???
 */
void engineStartSearching(char parameters[]);

/**
 * \fn int engineWaitForSearching();
 * ???
 * @return ???
 */
int engineWaitForSearching();

/**
 * \fn void engineStopSearching();
 * ???
 */
void engineStopSearching();

/**
 * \fn void engineStop();
 * ???
 */
void engineStop();

/**
 * \fn void engineInfo();
 * ???
 */
void engineInfo();

/**
 * \fn struct bitboard* engineGetBitBoard();
 * ???
 * @return ???
 */
struct bitboard* engineGetBitBoard();

#endif
